!define TEMP $R0

!include "MUI.nsh"
!define MUI_PRODUCT "Placide"
!define MUI_VERSION "1.0.0"

; The name of the installer
Name "Placide"

; The file to write
OutFile "PlacideInstall.exe"

; The default installation directory
InstallDir "$PROGRAMFILES\${MUI_PRODUCT}"

InstallDirRegKey HKCU "Software\${MUI_PRODUCT}" ""

!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_LICENSE
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_STARTMENU
!insertmacro MUI_PAGE_INSTFILES
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

!define MUI_ABORTWARNING
!define MUI_FINISHPAGE_RUN "$INSTDIR\bin\Placide.exe"

!insertmacro MUI_LANGUAGE "French"

LicenseData "Licence.txt"

!define MUI_STARTMENUPAGE_REGISTRY_ROOT "HKCU" 
!define MUI_STARTMENUPAGE_REGISTRY_KEY "Software\${MUI_PRODUCT}" 
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "Start Menu Folder"

Section ""

  SetOutPath $INSTDIR\bin
  File Placide\bin\Placide.exe
	
  SetOutPath $INSTDIR\lib
  File "Placide\lib\ally.jar"
  File "Placide\lib\looks-win-1.2.0.jar"
  File "Placide\lib\placide.jar"
  File "Placide\lib\placide-data.jar"
  File "Placide\lib\placide-doc.jar"

  WriteRegStr HKCU "Software\${MUI_PRODUCT}" "" $INSTDIR
	
  WriteUninstaller "$INSTDIR\PlacideUninstall.exe"

  !insertmacro MUI_STARTMENU_WRITE_BEGIN
    CreateDirectory "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\Placide.lnk" "$INSTDIR\bin\Placide.exe"
    CreateShortCut "$SMPROGRAMS\${MUI_STARTMENUPAGE_VARIABLE}\Dsinstaller.lnk" "$INSTDIR\PlacideUninstall.exe"
    CreateShortCut "$DESKTOP\Placide.lnk" "$INSTDIR\bin\Placide.exe"
  !insertmacro MUI_STARTMENU_WRITE_END


SectionEnd ; end the section

Section "Uninstall"

  ;ADD YOUR OWN STUFF HERE!

  Delete "$INSTDIR\bin\Placide.exe"
  Delete "$INSTDIR\lib\ally.jar"
  Delete "$INSTDIR\lib\looks-win-1.2.0.jar"
  Delete "$INSTDIR\lib\placide.jar"
  Delete "$INSTDIR\lib\placide-data.jar"
  Delete "$INSTDIR\lib\placide-doc.jar"
  Delete "$INSTDIR\PlacideUninstall.exe"

  RMDir "$INSTDIR\bin"
  RMDir "$INSTDIR\lib"
  RMDir "$INSTDIR"
	
  !insertmacro MUI_STARTMENU_DELETE_BEGIN ${TEMP}
    Delete "$SMPROGRAMS\${TEMP}\Placide.lnk"
    Delete "$SMPROGRAMS\${TEMP}\Dsinstaller.lnk"
    RMDir "$SMPROGRAMS\${TEMP}"
    Delete "$DESKTOP\Placide.lnk"
  !insertmacro MUI_STARTMENU_DELETE_END

  DeleteRegKey /ifempty HKCU "Software\${MUI_PRODUCT}"
  
SectionEnd