/******************************************************************************
 *                                                                            *
 * This work is licensed under the Creative Commons                           *
 * Attribution-NoDerivs-NonCommercial License. To view a copy of this         *
 * license, visit http://creativecommons.org/licenses/by-nd-nc/1.0/ or send a *
 * letter to Creative Commons, 559 Nathan Abbott Way, Stanford, California    *
 * 94305, USA.                                                                *
 *                                                                            *
 *                                                                            *
 *                               (cc) creative                                *
 *                                     commons                                *
 *                                COMMONS DEED                                *
 *                                                                            *
 *                  Attribution-NonCommercial-ShareAlike 1.0                  *
 *                                                                            *
 * You are free:                                                              *
 *   -to copy, distribute, display, and perform the work                     *
 *   - to make derivative works                                               *
 *                                                                            *
 * Under the following conditions:                                            *
 *   BY: Attribution. You must give the original author credit.               *
 *   NC: Noncommercial. You may not use this work for commercial purposes.    *
 *   SA: Share Alike. If you alter, transform, or build upon this work, you   *
 *       may distribute the resulting work only under a license identical to  *
 *       this one.                                                            *
 *                                                                            *
 *   -For any reuse or distribution, you must make clear to others the       *
 *     license terms of this work.                                            *
 *   -Any of these conditions can be waived if you get permission from the   *
 *     author.                                                                *
 *                                                                            *
 * Your fair use and other rights are in no way affected by the above.        *
 *                                                                            *
 * This is a human-readable summary of the Legal Code (the full license)      *
 * available on http://creativecommons.org/licenses/by-nc-sa/1.0/legalcode    *
 *                                                                            *
 *                                                                            *
 * Disclaimer:                                                                *
 *                                                                            *
 *   The Commons Deed is not a license. It is simply a handy reference for    *
 *   understanding the Legal Code (the full license) - it is a human-readable *
 *   expression of some of its key terms. Think of it as the user-friendly    *
 *   interface to the Legal Code beneath. This Deed itself has no legal       *
 *   value, and its contents do not appear in the actual license.             *
 *                                                                            *
 *   Creative Commons is not a law firm and does not provide legal services.  *
 *   Distributing of, displaying of, or linking to this Commons Deed does not *
 *   create an attorney-client relationship.                                  *
 *                                                                            *
 ******************************************************************************/
package net.jourand.placide.places;

import java.util.Date;


public class HistoricalCommune extends Commune {
    protected short legalType = -1;
    protected Date legalDate = null;
    protected Date joDate = null;
    protected Date effectiveDate = null;
    protected Date mostRecentDate = null;
    protected short newNameType = 0;
    protected String newName = null;
    protected short modification = 0;
    protected String fusionnedCode = null;
    protected String oldChefLieuCode = null;
    protected String chefLieuCode = null;
    protected String oldCode = null;
    protected String oldCantonCode = null;
    protected String oldArrondissementCode = null;

    public void setLegalType(short legalType) {
        this.legalType = legalType;
    }

    public short getLegalType() {
        return legalType;
    }

    public void setLegalDate(Date legalDate) {
        this.legalDate = legalDate;
    }

    public Date getLegalDate() {
        return legalDate;
    }

    public void setJoDate(Date joDate) {
        this.joDate = joDate;
    }

    public Date getJoDate() {
        return joDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setMostRecentDate(Date mostRecentDate) {
        this.mostRecentDate = mostRecentDate;
    }

    public Date getMostRecentDate() {
        return mostRecentDate;
    }

    public void setNewNameType(short newNameType) {
        this.newNameType = newNameType;
    }

    public short getNewNameType() {
        return newNameType;
    }

    public void setNewName(String newName) {
        this.newName = newName;
    }

    public String getNewName() {
        return newName;
    }

    public String getLongNewName() {
        return articles[nameType] + getNewName();
    }

    public void setModification(short modification) {
        this.modification = modification;
    }

    public short getModification() {
        return modification;
    }

    public void setFusionnedCode(String fusionnedCode) {
        this.fusionnedCode = fusionnedCode;
    }

    public String getFusionnedCode() {
        return fusionnedCode;
    }

    public void setChefLieuCode(String chefLieuCode) {
        this.chefLieuCode = chefLieuCode;
    }

    public String getChefLieuCode() {
        return chefLieuCode;
    }

    public void setOldChefLieuCode(String oldChefLieuCode) {
        this.oldChefLieuCode = oldChefLieuCode;
    }

    public String getOldChefLieuCode() {
        return oldChefLieuCode;
    }

    public void setOldCode(String oldCode) {
        this.oldCode = oldCode;
    }

    public String getOldCode() {
        return oldCode;
    }

    public void setOldCantonCode(String oldCantonCode) {
        this.oldCantonCode = oldCantonCode;
    }

    public String getOldCantonCode() {
        return oldCantonCode;
    }

    public void setOldArrondissementCode(String oldArrondissementCode) {
        this.oldArrondissementCode = oldArrondissementCode;
    }

    public String getOldArrondissementCode() {
        return oldArrondissementCode;
    }
}
