/******************************************************************************
 *                                                                            *
 * This work is licensed under the Creative Commons                           *
 * Attribution-NoDerivs-NonCommercial License. To view a copy of this         *
 * license, visit http://creativecommons.org/licenses/by-nd-nc/1.0/ or send a *
 * letter to Creative Commons, 559 Nathan Abbott Way, Stanford, California    *
 * 94305, USA.                                                                *
 *                                                                            *
 *                                                                            *
 *                               (cc) creative                                *
 *                                     commons                                *
 *                                COMMONS DEED                                *
 *                                                                            *
 *                  Attribution-NonCommercial-ShareAlike 1.0                  *
 *                                                                            *
 * You are free:                                                              *
 *   -to copy, distribute, display, and perform the work                     *
 *   - to make derivative works                                               *
 *                                                                            *
 * Under the following conditions:                                            *
 *   BY: Attribution. You must give the original author credit.               *
 *   NC: Noncommercial. You may not use this work for commercial purposes.    *
 *   SA: Share Alike. If you alter, transform, or build upon this work, you   *
 *       may distribute the resulting work only under a license identical to  *
 *       this one.                                                            *
 *                                                                            *
 *   -For any reuse or distribution, you must make clear to others the       *
 *     license terms of this work.                                            *
 *   -Any of these conditions can be waived if you get permission from the   *
 *     author.                                                                *
 *                                                                            *
 * Your fair use and other rights are in no way affected by the above.        *
 *                                                                            *
 * This is a human-readable summary of the Legal Code (the full license)      *
 * available on http://creativecommons.org/licenses/by-nc-sa/1.0/legalcode    *
 *                                                                            *
 *                                                                            *
 * Disclaimer:                                                                *
 *                                                                            *
 *   The Commons Deed is not a license. It is simply a handy reference for    *
 *   understanding the Legal Code (the full license) - it is a human-readable *
 *   expression of some of its key terms. Think of it as the user-friendly    *
 *   interface to the Legal Code beneath. This Deed itself has no legal       *
 *   value, and its contents do not appear in the actual license.             *
 *                                                                            *
 *   Creative Commons is not a law firm and does not provide legal services.  *
 *   Distributing of, displaying of, or linking to this Commons Deed does not *
 *   create an attorney-client relationship.                                  *
 *                                                                            *
 ******************************************************************************/
package net.jourand.placide.tools;

import net.jourand.placide.places.Commune;

public class Sorter {
  public static void sortByName(Commune[] communes) {
    quickSort(communes, 0, communes.length-1);
  }

  public static void quickSort(Commune[] communes, int p, int r) {
    int q = -1;

    if(p<r) {
      q = partition(communes, p, r);
      quickSort(communes, p, q);
      quickSort(communes, q+1, r);
    }
  }

  private static int partition(Commune[] communes, int p, int r) {
    String  x    = null;
    Commune t    = null;
    int     i    = 0;
    int     j    = 0;
    boolean done = false;

    x = communes[p].getCanonicalName();
    i = p-1;
    j = r+1;
    while (!done) {
      do {
        j = j-1;
      } while(communes[j].getCanonicalName().compareTo(x) > 0);
      do {
        i = i+1;
      } while(communes[i].getCanonicalName().compareTo(x) < 0);
      if(i<j) {
        t = communes[i];
        communes[i] = communes[j];
        communes[j] = t;
      } else {
        done = true;
      }
    }

    return j;
  }
/*
  public static void sortByCode(Departement[] departements) {
    quickSort(departements, 0, departements.length-1);
  }

  public static void quickSort(Departement[] departements, int p, int r) {
    int q = -1;

    if(p<r) {
      q = partition(departements, p, r);
      quickSort(departements, p, q);
      quickSort(departements, q+1, r);
    }
  }

  private static int partition(Departement[] departements, int p, int r) {
    String      x    = null;
    Departement t    = null;
    int         i    = 0;
    int         j    = 0;
    boolean     done = false;

    x = departements[p].getCode();
    i = p-1;
    j = r+1;
    while (!done) {
      do {
        j = j-1;
      } while(departements[j].getCode().compareTo(x) > 0);
      do {
        i = i+1;
      } while(departements[i].getCode().compareTo(x) < 0);
      if(i<j) {
        t = departements[i];
        departements[i] = departements[j];
        departements[j] = t;
      } else {
        done = true;
      }
    }

    return j;
  }

  public static void sortByCode(Region[] regions) {
    quickSort(regions, 0, regions.length-1);
  }

  public static void quickSort(Region[] regions, int p, int r) {
    int q = -1;

    if(p<r) {
      q = partition(regions, p, r);
      quickSort(regions, p, q);
      quickSort(regions, q+1, r);
    }
  }

  private static int partition(Region[] regions, int p, int r) {
    short   x    = 0;
    Region  t    = null;
    int     i    = 0;
    int     j    = 0;
    boolean done = false;

    x = regions[p].getCode();
    i = p-1;
    j = r+1;
    while (!done) {
      do {
        j = j-1;
      } while(regions[j].getCode() > x);
      do {
        i = i+1;
      } while(regions[i].getCode() < x);
      if(i<j) {
        t = regions[i];
        regions[i] = regions[j];
        regions[j] = t;
      } else {
        done = true;
      }
    }

    return j;
  }
*/
}
